import Vue from 'vue'
import Vuex from 'vuex'
import app from '@/store/app.js'
import data from '@/store/data.js'
import user from '@/store/user.js'

Vue.use(Vuex)

export default new Vuex.Store({
  strict: process.env.NODE_ENV !== 'production', // 在非生产环境下，使用严格模式
  modules: {
    app,
    data,
    user
  }
})
